#
# spec file for package ocaml-camlp5
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%global __suseocaml_requires_opts \
	-c \
	-i Dynlink_cmo_format \
	%nil
%global __ocaml_requires_opts \
	-c \
	-i Dynlink_cmo_format \
	%nil

Name:           ocaml-camlp5
Version:        8.03.05
Release:        1.1
%{?ocaml_preserve_bytecode}
Summary:        Preprocessor-Pretty-Printer for Objective Caml
License:        BSD-3-Clause
Group:          Development/Languages/OCaml
BuildRoot:      %_tmppath/%name-%version-build
URL:            https://opam.ocaml.org/packages/camlp5
Source0:        %name-%version.tar.xz
Patch0:         ocaml-camlp5.patch
BuildRequires:  ocaml(ocaml_base_version) >= 4.10
BuildRequires:  ocaml-rpm-macros >= 20250517
BuildRequires:  ocamlfind(bos)
BuildRequires:  ocamlfind(camlp-streams)
BuildRequires:  ocamlfind(compiler-libs)
BuildRequires:  ocamlfind(findlib)
BuildRequires:  ocamlfind(fmt)
BuildRequires:  ocamlfind(pcre2)
BuildRequires:  ocamlfind(re)
BuildRequires:  ocamlfind(rresult)

%description
Camlp5 is a preprocessor-pretty-printer of OCaml, parsing a source file and printing some result on standard output.

%package devel
Summary:        Development files for ocaml-camlp5
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description devel
Camlp5 is a preprocessor-pretty-printer of OCaml, parsing a source file and printing some result on standard output.

This package contains the development files.

%prep
%autosetup -p1

%build
%ifarch ppc64
ulimit -s $((1024 * 64))
%endif
./configure \
	--mandir %_mandir
%make_build out
%make_build world
%make_build world.opt

%install
%make_install
%ocaml_create_file_list

%files -f %name.files
%defattr(-,root,root,-)
%_bindir/*
%_mandir/*/*

%files devel -f %name.files.devel
%defattr(-,root,root,-)

%changelog
* Mon Jul  7 2025 ohering@suse.de
- Update to version 8.03.05
  see included CHANGES file for details
* Mon May  5 2025 ohering@suse.de
- Update to version 8.03.04
  see included CHANGES file for details
* Wed Mar 19 2025 ohering@suse.de
- Update to version 8.03.02
  see included CHANGES file for details
* Thu Mar 13 2025 ohering@suse.de
- Remove unused dependency to ocaml-pcre
* Mon Mar  3 2025 ohering@suse.de
- Update to version 8.03.01
  cover ocaml-5.2
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Sat Sep  9 2023 ohering@suse.de
- Update to version 8.02.01
  cover ocaml-5.1
* Tue Apr  4 2023 ohering@suse.de
- Update to version 8.01.00
  Bugfixes
* Sun Jan  1 2023 ohering@suse.de
- Update to version 8.00.04
  cover ocaml-5.0
- Allow build with old rpm
* Mon Apr  4 2022 ohering@suse.de
- Update to version 8.00.03
  cover ocaml-4.14
* Sat Sep 11 2021 ohering@suse.de
- Update to version 8.00.02
  cover ocaml-4.13
* Mon May  3 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Fixed version, last version "8.00" was upstream tagged and
  released as version 8.00.01
* Fri Apr  9 2021 ohering@suse.de
- Update to version 8.00
  cover ocaml-4.12
  add ocaml-camlp5.patch
- Remove ocaml_native_compiler conditional
  build native target unconditionally
* Wed Sep  2 2020 ohering@suse.de
- Cover ocaml-4.11.1
* Thu Aug 20 2020 ohering@suse.de
- Update to version 7.12
  cover ocaml-4.11
* Thu Feb 20 2020 ohering@suse.de
- Require current ocaml-rpm-macros
- Remove bogus Requires/Provides override
* Tue Feb  4 2020 ohering@suse.de
- Update to version 7.11
  cover ocaml-4.10
* Mon Nov 25 2019 ohering@suse.de
- Add compiler-libs-devel to BuildRequires (bsc#1156934)
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
* Mon Sep 23 2019 ohering@suse.de
- Update to version 7.10
  See included CHANGES for details
* Sun Jul 14 2019 Aaron Puchert <aaronpuchert@alice-dsl.net>
- Update to version 7.07.
  * Fixed bug: using camlp5 in ocaml toplevel, the errors locations
    in files (with #use) where not displayed.
  * Support nonrec type declaration (Kakadu).
  * Fix OPAM file [in particular avoid the filesystem deletion bug]
  * Safe API for grammar extension (Pierre-Marie Pedrot).
  * Fixed compilation failure when compiled with ocaml
    versions 3.08.0 to 4.02.4 due to the time when the constructor
    Pconst_integer was created (at ocaml version 4.03.0 actually).
  * Fixed missing treatment of native, 32 and 64 integers.
- Clean up spec file.
- Package LICENSE as %%license.
- Be more specific in %%files section.
* Wed Dec 13 2017 ohering@suse.de
- Update to version 7.03
  cover ocaml-4.06
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Update to version 7.01
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Mon Jul 17 2017 ohering@suse.de
- Remove autodeps for pre openSUSE 12.1 releases
* Wed May 18 2016 ohering@suse.de
- Update to version 6.16
  * Fixed problems of compatibility with previous versions of ocaml.
  * Fixed bug on optional types (ocaml 4.02).
  * Fixed bug on methods wrongly interpreted as vals.
  * Updated for ocaml trunk 4.03.0
* Tue Nov 10 2015 ohering@suse.de
- Add hardcoded Provides for pre 12.1 repos
* Wed Sep 16 2015 ohering@suse.de
- Update to version 6.14
  * Updated for ocaml version 4.02.3
* Tue Jun 23 2015 ohering@suse.de
- Update to version 6.13
  * Updated for ocaml version 4.02.2
  * Accept 'fun/try' case list on 'match' in revised syntax,
    allowing them to write "|" .. "end" or "[" .. "]", both being accepted.
* Wed Oct  8 2014 ohering@suse.de
- Update to version 6.12
  * Updated for ocaml version 4.02.0
  * Dummy line numbers are now 1 instead of -1 to prevent errors
    that sometimes happen later at assembling phase.
  * Fixed problem in top/Makefile when OCLIBDIR contains spaces.
  * Added flag Grammar.utf8_print to print grammars entries (with
    Grammar.Entry.print) displaying strings in utf-8 (default:
    True). Usefull e.g. for Coq in command 'Print Grammar constr'
    when using utf8.
  * Fixed bug in normal syntax: "let f { x } = ...", "{ x }" and
    "let open ..." were refused.
* Thu Sep 19 2013 ohering@suse.de
- Update to version 6.11
  * Updated for ocaml version 4.01.0
  * Added 'MLast.loc_of_with_constr'.
  * Fixed bug toplevel with revised syntax; "= 'a" was missing
    in output in that example:
    [#] module type A = sig module type S = 'a; end;
    module type A = sig module type S; end
  * Now accept lowercase ident for module types, like ocaml does.
    Accepted also in revised syntax.
  * (experimental) Now, in revised syntax, a "." followed by a newline
    is interpreted as a ";", allowing to end phrases with ".".
    Drawback: will syntax error when writing a record/module access
    in two lines ending the first one with ".
* Mon Jun  3 2013 ohering@suse.de
- Update to version 6.09
  * Accept now "match with | | ... end" in revised syntax, with
    a required "|" in the first case, as alternative syntax for match.
  * Added function 'Pcaml.value greek_ascii_equiv' giving
    an ascii equivalent to a greek (utf8) letter representing a type
    parameter. E.g. 'a' for 'α', 'b' for 'β', and so on.
  * Fixed bug no locations built in some cases of constructors.
  * Fixed bug: in toplevel, the highlighting of errors did not work.
  * Added option '-dquot' to specify the default quotation name.
    and the ability to use "#option" directive with two parameters.
    Therefore, we can use either (e.g.):
  - dquot "expr"
    in the command line of camlp5 or
    [#]option "-dquot" "expr"
    inside a file.
  * Now 'make' displays a message how to compile, instead of doing 'make out'.
    Old behaviour of 'make' must be now 'make out'.
  * Now accept identifiers starting with a greek letter as variable names.
  * Fixed bug: DEFINE FOO=32 while using pa_macro.cmo did not work
    due to a bad order in grammar insertion.
  * Fixed bug: parsing greek letters as type variable in
    constructor declaration did not work when building Camlp5.
* Mon Jun  3 2013 ohering@suse.de
- Recompress with xz
* Thu Feb 21 2013 ohering@suse.de
- add hard requires ocaml-compiler-libs in versions before 12.1
  due to lack of autorequires in old rpm
* Wed Jan 16 2013 ohering@suse.de
- disable also /usr/lib/rpm/find-debuginfo.sh
* Mon Jan 14 2013 ohering@suse.de
- disable strip, it destroys bytecode binaries
* Mon Jan 14 2013 ohering@suse.de
- change Requires: version-release to just Requires: version
* Wed Jan  2 2013 ohering@suse.de
- Update to version 6.07
  * Added compatibility with OCaml 4.00.1.
  * Fixed bug: open record patterns {a=b;c=d;_} did not work.
* Tue Sep 18 2012 ohering@suse.de
- Initial package ocaml-camlp5 version 6.06
